#{extends 'border.html'/}
<div class="container-fluid">
	<!-- Breadcrumb -->
	<!--<div class="container-fluid">-->
		<!--<ol class="breadcrumb">-->
			<!--<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>-->
			<!--<li class="active">&{'daftar_paket.label'}</li>-->
		<!--</ol>-->
	<!--</div>-->
	<!-- End Breadcrumb -->
	
	<div class="col-md-2 hidden-mobile">
		#{include 'pl/filter-paket.html'/}
	</div>
	
	<div class="col-md-10">
        <h4>&{'daftar_paket.label'}</h4>
		#{if !model.items.isEmpty()}
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <table class="table table-striped" id="tblListPaket">
                        <thead>
                        <tr>
                            <th class="header-center">&{'nomor.label'}</th>
                            <th class="header-center">&{'paket.label'}</th>
                            <th class="header-center">&{'satuan_kerja.label'}</th>
                            <th class="header-center">&{'nama_penyedia.label'}</th>
                            <th class="header-center">&{'total_produk.label'}</th>
                            <th class="header-center">&{'instansi.label'}</th>
                            <th class="header-center">&{'posisi.label'}</th>
                            <th class="header-center">&{'status.label'}</th>
                            <th class="header-center">&{'negosiasi.label'}</th>
                            <th class="header-center">&{'total_harga.label'} (IDR)</th>
                            <th class="header-center">&{'tanggal_buat.label'}</th>
                            *{<th class="header-center"></th>}*
                        </tr>
                        </thead>
                        <tbody>
                            #{set idx = (paramQuery.page - 1) * paramQuery.per_page /}
							#{list model.items, as:"i"}
                            <tr>
                                <td class="column-center">${idx = idx + 1}.</td>
                                <td class="column-left"><a target="_blank" href="${i.getDetailUrl()}">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}<b>${i.getNo_paket()}</b><br>${i.nama_paket}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</a></td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i?.nama_satker}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.nama_penyedia}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-center">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.agr_paket_produk}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.satuan_kerja_nama}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${utils.KatalogUtils.ucfirst(i.paketStatus?.getToEmpty())}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.paketStatus?.getReadableStatus()}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.paketStatus?.getReadableNegotiationStatus()}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-left" width="15%">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.getTotalPrice()}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                                <td class="column-center">#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}<strike>#{/if}${i.getReadableCreatedDate()}#{if i.paketStatus?.getReadableStatus().equalsIgnoreCase("BATAL") || i.apakah_batal == 1}</strike>#{/if}</td>
                            </tr>
							#{/list}
                        </tbody>
                    </table>
                </div>
            </div>
			#{pagination model.getPageAble()/}
		#{/if}
		#{else }
            #{ListDefaultMessage type:"Paket"/}
		#{/else}
	</div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="showSidebar()"><span class="span-hide">Hide </span>Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'daftar_paket.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                #{include 'pl/filter-paket.html'/}
                </div>
            </div>
        </div>
    </div>
</div>
<script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function() {
        $("#submitBtn").on("click", function () {
            $.showLoading();
            $("#centerTableEmpty").html("&{'tungguproses.label'}")
        });
        // $("#satker").select2({
        //     minimumInputLength: 3 // only start searching when the user has input 3 or more characters
        // });
    });
</script>
#{/set}